<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/HTML/Fragments/TemplateSpecializations/TemplateSpecializations.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.HTML.Fragments.TemplateSpecializations.TemplateSpecializations</title>
<link href="../../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../../Synopsis.html" >Synopsis</a>.<a href="../../../../Formatters.html" >Formatters</a>.<a href="../../../HTML.html" >HTML</a>.<a href="../../Fragments.html" >Fragments</a>.<a href="../TemplateSpecializations.html" >TemplateSpecializations</a>
</div><div class="class-name">class TemplateSpecializations

</div><div class="links"><div class="file">File: <a href="../../../../../../File/Synopsis/Formatters/HTML/Fragments/TemplateSpecializations.py.html" target="detail">../Synopsis/Formatters/HTML/Fragments/TemplateSpecializations.py</a></div> <div class="xref"><a href="../../../../../../XRef/xref11.html#Synopsis.Formatters.HTML.Fragments.TemplateSpecializations.TemplateSpecializations" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/TemplateSpecializations.py.html#line11" ><img src="../../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="TemplateSpecializations-inheritance" src="TemplateSpecializations-inheritance.png" hspace="8" vspace="8" border="0" usemap="#TemplateSpecializations-inheritance_map" />
<map name="TemplateSpecializations-inheritance_map"></map>
 <div class="doc">Cross-link primary templates with their specializations.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_forward">format_forward</a>(<span class="variable">self</span>, <span class="variable">forward</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref11.html#Synopsis.Formatters.HTML.Fragments.TemplateSpecializations.TemplateSpecializations.format_forward" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/TemplateSpecializations.py.html#line14" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_class">format_class</a>(<span class="variable">self</span>, <span class="variable">class_</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref11.html#Synopsis.Formatters.HTML.Fragments.TemplateSpecializations.TemplateSpecializations.format_class" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/TemplateSpecializations.py.html#line27" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_class_template">format_class_template</a>(<span class="variable">self</span>, <span class="variable">template_</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref11.html#Synopsis.Formatters.HTML.Fragments.TemplateSpecializations.TemplateSpecializations.format_class_template" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/TemplateSpecializations.py.html#line34" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:09 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
